%define oldlib	%mklibname %{name}
%define olddev	%mklibname %{name} -d

Summary:	Script-driven sound processing toolkit
Name:		snack
Version:	2.2.10
Release:	%mkrel 27
License:	BSD
Group:		Sound/Utilities
URL:		https://www.speech.kth.se/snack/
Source0:	https://www.speech.kth.se/~kare/%{name}%{version}.tar.bz2
# Fix underlinking
Patch0:		snack-2.2.10-underlinking.patch
Patch1:		snack-2.2.10-unity-linux-fix-roundf.patch
Patch2:		snack-2.2.10-unity-linux-gcc44.patch
Patch3:		snack-2.2.10-mdv-fix-string-format.patch
Patch4:		tcl-snack-2.2.10-CVE-2012-6303-fix.patch
Patch5:		snack-2.2.10-suse-alsa.patch
Patch8:		tcl-snack-configure-c99.patch
Patch9:		tcl-snack-sigproc2-c99.patch
Patch11:	snack2.2.10-const-fix.patch

BuildRequires:	tcl
BuildRequires:	tk
BuildRequires:	pkgconfig(alsa)
BuildRequires:	pkgconfig(ogg)
BuildRequires:	pkgconfig(vorbis)
BuildRequires:	pkgconfig(x11)
BuildRequires:	dos2unix
BuildRequires:	pkgconfig(tcl)
BuildRequires:	pkgconfig(tk)

%description
Snack is a sound processing toolkit designed as an extension
to a scripting language. Snack currently works with the scripting
languages Tcl/Tk, Python, and Ruby.

Snack has commands to play, record, process, and visualize sound.
Snack provides high level sound objects, with flexible storage management,
and streaming support. It handles most common sound file formats.
The visualization canvas item types update in real-time and can output
postscript. The same scripts run on Unix (Linux, Solaris, HP-UX, IRIX,
FreeBSD, NetBSD), Macintosh, and Windows 95/98/NT/2000/XP.

%package -n	tcl-%{name}
Summary:	Snack Sound Toolkit for Tcl
Group:		Sound/Utilities
Requires:	tcl

%description -n tcl-%{name}
Snack Sound Toolkit for Tcl.

%prep
%setup -q -n %{name}%{version}
%patch -P 0 -p1 -b .underlink
%patch -P 1 -p1
%patch -P 2 -p1
%patch -P 3 -p0
%patch -P 4 -p1
%patch -P 5 -p0
%patch -P 8 -p1 -b .configure-c99
%patch -P 9 -p1 -b .sigproc2-c99
%patch -P 11 -p1 -b .const-fix

chmod 644 COPYING README changes

%build
pushd unix
%configure \
	--with-tcl=%{_libdir} \
	--with-tk=%{_libdir} \
	--with-ogg-include=%{_includedir}/ogg \
	--with-ogg-lib=%{_libdir} \
	--enable-alsa
%make_build TCL_INCPATH=%{_includedir} TK_INCPATH=%{_includedir} CC="gcc %{optflags}" LDFLAGS="%{ldflags}"
%make_build TCL_INCPATH=%{_includedir} TK_INCPATH=%{_includedir} CC="gcc %{optflags}" LDFLAGS="%{ldflags}" libsnackogg.so
popd

%install
chmod 644 doc/*
chmod 644 demos/tcl/*
chmod 755 demos/tcl/*.tcl
dos2unix demos/tcl/*.txt
rm -f demos/tcl/tclkit-linux-x86

pushd unix
mkdir -p %{buildroot}%{tcl_sitearch}/%{name}%{version}
cp *.so %{buildroot}%{tcl_sitearch}/%{name}%{version}
install -m 0755 *.tcl %{buildroot}%{tcl_sitearch}/%{name}%{version}
popd

%files -n tcl-%{name}
%doc changes doc/tcl-man.html demos/tcl/* doc/A* doc/C* doc/F* README doc/S*
%license COPYING
%{tcl_sitearch}/%{name}%{version}/


%changelog
* Sun Oct 27 2024 daviddavid <daviddavid> 2.2.10-27.mga10
+ Revision: 2111414
- add fedora patches to fix build with GCC 14

* Tue Mar 29 2022 umeabot <umeabot> 2.2.10-26.mga9
+ Revision: 1831802
- Mageia 9 Mass Rebuild

* Tue Feb 18 2020 umeabot <umeabot> 2.2.10-25.mga8
+ Revision: 1541566
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%configure2_5x

* Sun Dec 29 2019 wally <wally> 2.2.10-24.mga8
+ Revision: 1474779
- drop python2 support

* Sun Sep 23 2018 umeabot <umeabot> 2.2.10-23.mga7
+ Revision: 1301084
- Mageia 7 Mass Rebuild
+ kekepower <kekepower>
- Update macros

* Wed Feb 17 2016 umeabot <umeabot> 2.2.10-22.mga6
+ Revision: 962861
- Mageia 6 Mass Rebuild

* Wed Oct 21 2015 danf <danf> 2.2.10-21.mga6
+ Revision: 894007
- Enable ALSA instead of OSS

* Wed Oct 21 2015 danf <danf> 2.2.10-20.mga6
+ Revision: 894000
- Fix build problem due to underlinking

* Wed Oct 15 2014 umeabot <umeabot> 2.2.10-19.mga5
+ Revision: 747369
- Second Mageia 5 Mass Rebuild

* Sat Sep 27 2014 tv <tv> 2.2.10-18.mga5
+ Revision: 730167
- rebuild for missing pythoneggs deps

* Tue Sep 16 2014 umeabot <umeabot> 2.2.10-17.mga5
+ Revision: 689222
- Mageia 5 Mass Rebuild
+ pterjan <pterjan>
- Rebuild for new Python

* Tue Oct 22 2013 umeabot <umeabot> 2.2.10-15.mga4
+ Revision: 544434
- Mageia 4 Mass Rebuild

* Tue Oct 15 2013 pterjan <pterjan> 2.2.10-14.mga4
+ Revision: 499880
- Rebuild to add different pythonegg provides for python 2 and 3

* Mon Jan 14 2013 luigiwalser <luigiwalser> 2.2.10-13.mga3
+ Revision: 388133
- add patch from fedora to fix CVE-2012-6303

* Mon Jan 14 2013 umeabot <umeabot> 2.2.10-12.mga3
+ Revision: 382242
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed Jan 09 2013 barjac <barjac> 2.2.10-11.mga3
+ Revision: 344119
- update groups
- clean spec
- fix buildrequires

* Thu Sep 29 2011 fwang <fwang> 2.2.10-10.mga2
+ Revision: 150234
- tighten br
+ wally <wally>
- fix x86_64 build
- use ldflags
- rebuild for new tcl (mga#2369)

* Sun Jan 23 2011 pterjan <pterjan> 2.2.10-8.mga1
+ Revision: 35301
- imported package snack


* Mon Jan 25 2010 Ahmad Samir <ahmadsamir@mandriva.org> 2.2.10-8mdv2010.1
+ Revision: 495648
- add patches from unity-linux
- add patch to fix string format

  + Thierry Vignaud <tv@mandriva.org>
    - rebuild

* Sat Dec 27 2008 Adam Williamson <awilliamson@mandriva.org> 2.2.10-7mdv2009.1
+ Revision: 319726
- rebuild with python 2.6

* Fri Dec 05 2008 Adam Williamson <awilliamson@mandriva.org> 2.2.10-6mdv2009.1
+ Revision: 310775
- missing a space in the file list
- rebuild with new tcl
- move to new locations per policy
- fix descriptions
- add underlinking.patch: fixes underlinking
- drop all the libification stuff, tcl modules are not shared libraries

* Wed Mar 19 2008 Adam Williamson <awilliamson@mandriva.org> 2.2.10-5mdv2008.1
+ Revision: 188741
- disable ALSA build again (snack's ALSA code does not actually work, as per Debian and Gentoo and my private testing)

* Wed Mar 05 2008 Adam Williamson <awilliamson@mandriva.org> 2.2.10-4mdv2008.1
+ Revision: 179398
- puresitedir not platsitedir (original spec was wrong...)
- generate .pyo as well as .pyc for python file
- enable ALSA support (#38282)
- spec clean

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

* Mon Dec 17 2007 Thierry Vignaud <tv@mandriva.org> 2.2.10-3mdv2008.1
+ Revision: 127412
- kill re-definition of %%buildroot on Pixel's request
- import snack


* Wed Apr 26 2006 Nicolas Lécureuil <neoclust@mandriva.org> 2.2.10-3mdk
- Fix BuildRequires

* Tue Apr 25 2006 Nicolas Lécureuil <neoclust@mandriva.org> 2.2.10-2mdk
- Fix BuildRequires
- use mkrel

* Tue Feb 14 2006 Stew Benedict <sbenedict@mandriva.com> 2.2.10-1mdk
- 2.2.10
- use current %%pyver macro 
- break up package some more into -devel, tcl-, python-
- python package requires tkinter (should probably be python-tkinter)
- add demos to python, tcl packages
- make rpmlint happier
- don't need to run ldconfig, python and tcl know how to find the libs

* Mon Aug 29 2005 Austin Acton <austin@mandriva.org> 2.2.9-1mdk
- 2.2.9
- fix license
- fix python install

* Sun Feb 6 2005 Austin Acton <austin@mandrake.org> 2.2.8-2mdk
- python 2.4
- fix summary

* Tue Oct 26 2004 Austin Acton <austin@mandrake.org> 2.2.8-1mdk
- 2.2.8

* Wed Jun 2 2004 Austin Acton <austin@mandrake.org> 2.2.5-1mdk
- 2.2.5
- configure 2.5
- fix some permissions

* Tue Aug 12 2003 Per Øyvind Karlsen <peroyvind@linux-mandrake.com> 2.2.2-3mdk
- rebuild for new python

* Tue Jul 15 2003 Austin Acton <aacton@yorku.ca> 2.2.2-2mdk
- DIRM

* Fri Jun 6 2003 Austin Acton <aacton@yorku.ca> 2.2.2-1mdk
- 2.2.2

* Fri Apr 25 2003 Austin Acton <aacton@yorku.ca> 2.2-2mdk
- buildrequires and mklibname

* Sat Jan 11 2003 Austin Acton <aacton@yorku.ca> 2.2-1mdk
- initial package
- todo: add NIST/sphere library
